Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.barcode4j
Class AbstractBarcodeEvaluator

    java.lang.Object
      net.sf.jasperreports.components.barcode4j.AbstractBarcodeEvaluator

All Implemented Interfaces:
  BarcodeVisitor

Direct Known Subclasses:
  BarcodeDesignEvaluator, BarcodeEvaluator

    public abstract class AbstractBarcodeEvaluator

extends java.lang.Object
implements BarcodeVisitor

Version:
  $Id: AbstractBarcodeEvaluator.java 3032 2009-08-27 11:32:28Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`protected org.krysalis.barcode4j.impl.AbstractBarcodeBean` | `barcode`
`protected BarcodeComponent` | `barcodeComponent`
`protected JRComponentElement` | `componentElement`
`protected JRDefaultStyleProvider` | `defaultStyleProvider`
`protected java.lang.String` | `message`

Constructor Summary
`protected` | `AbstractBarcodeEvaluator(JRComponentElement componentElement, JRDefaultStyleProvider defaultStyleProvider)`

Method Summary
`void` | `evaluateBarcode()`
`protected abstract void` | `evaluateCodabar(CodabarComponent codabar)`
`protected abstract void` | `evaluateCode128(Code128Component code128)`
`protected abstract void` | `evaluateCode39(Code39Component code39)`
`protected abstract void` | `evaluateDataMatrix(DataMatrixComponent dataMatrix)`
`protected abstract void` | `evaluateEAN13(EAN13Component ean13)`
`protected abstract void` | `evaluateEAN8(EAN8Component ean8)`
`protected abstract void` | `evaluateEANCode128(EAN128Component ean128)`
`protected abstract void` | `evaluateInterleaved2Of5(Interleaved2Of5Component interleaved2Of5)`
`protected abstract void` | `evaluatePDF417(PDF417Component pdf417)`
`protected abstract void` | `evaluatePOSTNET(POSTNETComponent intelligentMail)`
`protected abstract void` | `evaluateRoyalMailCustomer(RoyalMailCustomerComponent royalMailCustomer)`
`protected abstract void` | `evaluateUPCA(UPCAComponent upcA)`
`protected abstract void` | `evaluateUPCE(UPCEComponent upcE)`
`protected abstract void` | `evaluateUSPSIntelligentMail(USPSIntelligentMailComponent intelligentMail)`
`org.krysalis.barcode4j.impl.AbstractBarcodeBean` | `getBarcode()`
`protected JRStyle` | `getElementStyle()`
`java.lang.String` | `getMessage()`
`protected void` | `setBaseAttributes(BarcodeComponent barcodeComponent)`
`protected void` | `setFourStateAttributes(FourStateBarcodeComponent barcodeComponent, org.krysalis.barcode4j.impl.fourstate.AbstractFourStateBean barcodeBean)`
`void` | `visitCodabar(CodabarComponent codabar)`
`void` | `visitCode128(Code128Component code128)`
`void` | `visitCode39(Code39Component code39)`
`void` | `visitDataMatrix(DataMatrixComponent dataMatrix)`
`void` | `visitEAN13(EAN13Component ean13)`
`void` | `visitEAN8(EAN8Component ean8)`
`void` | `visitEANCode128(EAN128Component ean128)`
`void` | `visitInterleaved2Of5(Interleaved2Of5Component interleaved2Of5)`
`void` | `visitPDF417(PDF417Component pdf417)`
`void` | `visitPostnet(POSTNETComponent postnet)`
`void` | `visitRoyalMailCustomer(RoyalMailCustomerComponent royalMailCustomer)`
`void` | `visitUPCA(UPCAComponent upcA)`
`void` | `visitUPCE(UPCEComponent upcE)`
`void` | `visitUSPSIntelligentMail(USPSIntelligentMailComponent intelligentMail)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### componentElement

    protected final JRComponentElement componentElement

### barcodeComponent

    protected final BarcodeComponent barcodeComponent

### defaultStyleProvider

    protected final JRDefaultStyleProvider defaultStyleProvider

### message

    protected java.lang.String message

### barcode

    protected org.krysalis.barcode4j.impl.AbstractBarcodeBean barcode

Constructor Detail

### AbstractBarcodeEvaluator

    protected AbstractBarcodeEvaluator(JRComponentElement componentElement,
                                       JRDefaultStyleProvider defaultStyleProvider)

Method Detail

### evaluateBarcode

    public void evaluateBarcode()

### getMessage

    public java.lang.String getMessage()

### getBarcode

    public org.krysalis.barcode4j.impl.AbstractBarcodeBean getBarcode()

### setBaseAttributes

    protected void setBaseAttributes(BarcodeComponent barcodeComponent)

### getElementStyle

    protected JRStyle getElementStyle()

### visitCodabar

    public void visitCodabar(CodabarComponent codabar)

  Specified by:
    `visitCodabar` in interface `BarcodeVisitor`

### evaluateCodabar

    protected abstract void evaluateCodabar(CodabarComponent codabar)

### visitCode128

    public void visitCode128(Code128Component code128)

  Specified by:
    `visitCode128` in interface `BarcodeVisitor`

### evaluateCode128

    protected abstract void evaluateCode128(Code128Component code128)

### visitDataMatrix

    public void visitDataMatrix(DataMatrixComponent dataMatrix)

  Specified by:
    `visitDataMatrix` in interface `BarcodeVisitor`

### evaluateDataMatrix

    protected abstract void evaluateDataMatrix(DataMatrixComponent dataMatrix)

### visitEANCode128

    public void visitEANCode128(EAN128Component ean128)

  Specified by:
    `visitEANCode128` in interface `BarcodeVisitor`

### evaluateEANCode128

    protected abstract void evaluateEANCode128(EAN128Component ean128)

### visitCode39

    public void visitCode39(Code39Component code39)

  Specified by:
    `visitCode39` in interface `BarcodeVisitor`

### evaluateCode39

    protected abstract void evaluateCode39(Code39Component code39)

### evaluateInterleaved2Of5

    protected abstract void evaluateInterleaved2Of5(Interleaved2Of5Component interleaved2Of5)

### visitInterleaved2Of5

    public void visitInterleaved2Of5(Interleaved2Of5Component interleaved2Of5)

  Specified by:
    `visitInterleaved2Of5` in interface `BarcodeVisitor`

### visitUPCA

    public void visitUPCA(UPCAComponent upcA)

  Specified by:
    `visitUPCA` in interface `BarcodeVisitor`

### evaluateUPCA

    protected abstract void evaluateUPCA(UPCAComponent upcA)

### visitUPCE

    public void visitUPCE(UPCEComponent upcE)

  Specified by:
    `visitUPCE` in interface `BarcodeVisitor`

### evaluateUPCE

    protected abstract void evaluateUPCE(UPCEComponent upcE)

### visitEAN13

    public void visitEAN13(EAN13Component ean13)

  Specified by:
    `visitEAN13` in interface `BarcodeVisitor`

### evaluateEAN13

    protected abstract void evaluateEAN13(EAN13Component ean13)

### visitEAN8

    public void visitEAN8(EAN8Component ean8)

  Specified by:
    `visitEAN8` in interface `BarcodeVisitor`

### evaluateEAN8

    protected abstract void evaluateEAN8(EAN8Component ean8)

### visitRoyalMailCustomer

    public void visitRoyalMailCustomer(RoyalMailCustomerComponent royalMailCustomer)

  Specified by:
    `visitRoyalMailCustomer` in interface `BarcodeVisitor`

### setFourStateAttributes

    protected void setFourStateAttributes(FourStateBarcodeComponent barcodeComponent,
                                          org.krysalis.barcode4j.impl.fourstate.AbstractFourStateBean barcodeBean)

### evaluateRoyalMailCustomer

    protected abstract void evaluateRoyalMailCustomer(RoyalMailCustomerComponent royalMailCustomer)

### visitUSPSIntelligentMail

    public void visitUSPSIntelligentMail(USPSIntelligentMailComponent intelligentMail)

  Specified by:
    `visitUSPSIntelligentMail` in interface `BarcodeVisitor`

### evaluateUSPSIntelligentMail

    protected abstract void evaluateUSPSIntelligentMail(USPSIntelligentMailComponent intelligentMail)

### visitPostnet

    public void visitPostnet(POSTNETComponent postnet)

  Specified by:
    `visitPostnet` in interface `BarcodeVisitor`

### evaluatePOSTNET

    protected abstract void evaluatePOSTNET(POSTNETComponent intelligentMail)

### visitPDF417

    public void visitPDF417(PDF417Component pdf417)

  Specified by:
    `visitPDF417` in interface `BarcodeVisitor`

### evaluatePDF417

    protected abstract void evaluatePDF417(PDF417Component pdf417)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com